Mercenary Redfoot:
Shall we open the box? This lock should be no problem for me... There we go... That was too easy. Now, what do we have here?
A broken tablet fragment? Hmm... What are these symbols? Could this be a relic from ancient times? If this were a complete tablet, it would be a very valuable historical object. You should find all the fragments of the tablet and take them to Blacksmith Rupio. He specializes in the restoration of relics.
Return